org.jboss.netty.channel

## Class ChannelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.netty.channel.ChannelException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ChannelPipelineException, TimeoutException

    public class ChannelException
    extends RuntimeException

A `RuntimeException` which is thrown when an I/O operation fails.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ChannelException()` Creates a new exception.
`ChannelException(String message)` Creates a new exception.
`ChannelException(String message, Throwable cause)` Creates a new exception.
`ChannelException(Throwable cause)` Creates a new exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChannelException

    public ChannelException()

Creates a new exception.

#### ChannelException

    public ChannelException(String message,
                    Throwable cause)

Creates a new exception.

#### ChannelException

    public ChannelException(String message)

Creates a new exception.

#### ChannelException

    public ChannelException(Throwable cause)

Creates a new exception.